Exemplo n.º 1
0
 /// <summary>
 /// AutoCAD 系统变量发生变化,鼠标灵敏度
 /// </summary>
 /// <param name="sender"></param>
 /// <param name="e"></param>
 void Application_SystemVariableChanged(object sender, Autodesk.AutoCAD.ApplicationServices.SystemVariableChangedEventArgs e)
 {
     if (0 == e.Name.CompareTo("ZOOMFACTOR"))
     {
         _zoomfactor = int.Parse(Autodesk.AutoCAD.ApplicationServices.Application.GetSystemVariable("ZOOMFACTOR").ToString());
     }
 }
Exemplo n.º 2
0
 public void appSysVarChanged(object senderObj, Autodesk.AutoCAD.ApplicationServices.SystemVariableChangedEventArgs sysVarChEvtArgs)
 {
     if (sysVarChEvtArgs.Name == "UCSNAME" || sysVarChEvtArgs.Name == "LUPREC" || sysVarChEvtArgs.Name == "LUNITS")
     {
         pallete.Update();
     }
 }
Exemplo n.º 3
0
 private void AcAppOnSystemVariableChanged(object sender, SystemVariableChangedEventArgs e)
 {
     if (e.Name.Equals("WSCURRENT") &&
         MainSettings.Instance.AutoLoad & !MainSettings.Instance.AddToMpPalette)
     {
         PropertiesPaletteFunction.Start();
     }
 }
Exemplo n.º 4
0
 private void callback_SystemVariableChanged(Object sender, Autodesk.AutoCAD.ApplicationServices.SystemVariableChangedEventArgs e)
 {
     if (e.Name == "CANNOSCALE")
     {
         int scale = (int)HostApplicationServices.WorkingDatabase.Cannoscale.DrawingUnits;
         if (scale != Pub.DrawingUnits)
         {
             Pub.DrawingUnits = scale;
             LdrText_Scale.scaleLdrText(scale);
             BB_LnkBub_Scale.updateSymbols(scale);
             DimPL_Scale.scaleDimPL(scale);
         }
     }
 }
Exemplo n.º 5
0
 private void callback_SystemVariableChanged(Object sender, Autodesk.AutoCAD.ApplicationServices.SystemVariableChangedEventArgs e)
 {
     WriteLine(String.Format("SystemVariableChanged - {0}", e.Name));
 }
 private void db_SystemVariableChanged(object sender, SystemVariableChangedEventArgs e)
 {
     this.SetNewSize();
 }